/*
Theme Name: Divi Child
Theme URI: http://www.elegantthemes.com/gallery/divi/
Template: Divi
Author: Elegant Themes
Author URI: http://www.elegantthemes.com
Description: Smart. Flexible. Beautiful. Divi is the most powerful theme in our collection.
Version: 4.25.2.1732093894
Updated: 2024-11-20 11:11:34

*/

.progress-container {
  margin: 15px auto;
  width: 80%;
  text-align: center;
  height:20px ;
  z-index: -1;
}

.progress-bar {
  background-color: #e6e6e6;
  border-radius: 8px;
  height: 20px;
  position: relative;
  overflow: hidden;
  width: 100%;
}

.progress-fill {
  background-color: #0071a1;
  height: 100%;
  width: 0%;
  transition: width 0.5s ease; /* Smooth animation */
}

.progress-text {
  margin-top: 10px;
  font-size: 14px;
  color: #000000;
}

.view-basket-btn {
  width: 100%;
  display: flex;
  justify-content: center;
  margin-top:50px;
}

.view-basket-btn button{
  padding: 10px;
  border-radius: 5px;
  background: #0071a1;
  border: 0;
  width: 70px;
  cursor: pointer;
  color: white;
}

@keyframes glowing {
  0% {
      background-color: #059bdb;
      box-shadow: 0 0 5px #059bdb;
  }
  50% {
      background-color: #27b9f7;
      box-shadow: 0 0 20px #27b9f7;
  }
  100% {
      background-color: #059bdb;
      box-shadow: 0 0 5px #059bdb;
  }
}

.view-basket-btn button:hover{
  transform: scale(1.05);
  background: #005580;
}
.view-basket-btn button:active{
  transform: scale(1.0);
}
/* Home page Card Slider */

.dynamic-header {
  text-align: center;
  margin-bottom: 20px;
  font-size: 2em;
  color: #333;
}

/* Slider container styling */
.slider-container {
  position: relative;
  width: 95%;
  margin-left: 2.5%;
  height:auto;
  overflow: hidden;
}

/* Slider and Cards */
.slider {
  display: flex;
  transition: transform 0.5s ease-in-out;
}

.card {
  min-width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 1.5em;
  height: 100%;

  background: rgba(43, 48, 53, 0.6); /* Using #2b3035 with 60% opacity */
  border-radius: 10px; /* Smooth corners */
  box-shadow: 4px 4px 30px rgba(0, 0, 0, 0.5); /* Subtle shadow */
  backdrop-filter: blur(20px); /* Stronger blur for a noticeable effect */
  border: 1px solid rgba(255, 255, 255, 0.2);
}

.product-categories-grid {
  padding: 20px;
}

.category-card:hover {
  transform: scale(1.05);
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
  transition: all 0.3s ease;
}


/* Navigation buttons */
.prev-btn,
.next-btn {
  position: absolute;
  top: 50%;
  height: 100px;
  transform: translateY(-50%);
  background: rgba(51, 3, 3, 0);
  border: none;
  color: white;
  padding: 10px;
  border-radius: 50%;
  cursor: pointer;
  z-index: 10;
  font-size: 40px;
}

.prev-btn {
  left: 10px;
}

.next-btn {
  right: 10px;
}

.prev-btn:hover,
.next-btn:hover {
  background: rgba(0, 0, 0, 0);
  color: #0071a1;
  font-size: 50px;
}

/* width */
::-webkit-scrollbar {
  width: 0px;
  height: 0px;
}

/* Track */
::-webkit-scrollbar-track {
  background: #1b1a1a62;
}

/* Handle */
::-webkit-scrollbar-thumb {
  background: #888;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: #555;
}

/*Product card*/

#product-container {
  display: flex;
  flex-wrap: wrap;
  overflow-x: scroll;
  width: 95%;
  max-height: 100%;
  gap: 20px;
  padding: 20px;
}

.cat-heading{
  width: 100%;
}

.cat-heading h1{
  color: #ffffff;
}

.product_card {
  background: #ffffff;
  border-radius: 10px;
  padding: 20px;
  width: 250px;
  text-align: center;
  box-shadow: inset rgba(60, 70, 85, 0.5) 0px 0px 40px 0px, inset rgba(60, 70, 85, 0.5) 0px 0px 40px 0px, inset rgba(0, 0, 0, 1) 0px 0px 36px -24px;
}

.product_card:hover{
  transform: scale(1.05);
  box-shadow: 3px 3px 5px #333;
}

.product_card img {
  width: 210px;
  max-width: 100%;
  height: 150px;
}

.product_card h2{
  font-size: 1rem;
  height: 50px;
}

.prod_card .price {
  font-weight: bold;
  color: #2c7;
}

.product_card .prod_button {
  cursor: pointer;
  display: inline-block;
  margin-top: 10px;
  padding: 10px 20px;
  background-color: #0071a1;
  color: #fff;
  text-decoration: none;
  border-radius: 4px;
  border: 0;
}

.product_card .prod_button:hover {
  background-color: #005580;
  transform: scale(1.05);
  box-shadow: 3px 3px 5px #555;
}

.product-popup,.basket-popup {
  position: fixed;
  top: 50%;
  left: 50%;
  width: 80%;
  height: 500px;
  transform: translate(-50%, -50%);
  padding: 20px;
  display: none; /* Hidden by default */
  overflow-y: scroll;
  z-index: 10;
  backdrop-filter: blur(16px) saturate(180%);
  -webkit-backdrop-filter: blur(16px) saturate(180%);
  background-color: rgba(0, 113, 161, 0.75);
  border-radius: 12px;
  border: 1px solid rgba(209, 213, 219, 0.3);
}


.basket-popup img{
  height: 100px;
  width: 170px;
}
.entry-content table.basket-items {
  border: none;
  color: #ccc;
  font-size: 1rem;
}

 .basket-popup .basket-items td{
  border: none;
}

.table-prod-add-cart i{
  color: #000000;
  cursor: pointer;
}

.table-prod-add-cart i:hover, .table-prod-remove i:hover{
  transform: scale(1.2);
}
.table-prod-remove i{
  font-size: 1.5rem;
  color: #c48793;
}

.table-prod-price::before{
  content: 'R';
}

@keyframes cart-nod {
  50% {
    transform: translate(0px, 10px) scale(1.1);
  }
  100% {
    transform: translate(0px, 0px) scale(1.1);
  }
}

.product-details img{
  width: 100%;
  height: 320px;
}

.product-details{
  display:grid;
  grid-template-columns: 2fr 1fr;
  column-gap: 3%;
  row-gap: 3%;
  padding-bottom: 20px;
}

.product-details .product-description{
  color:#ccc;
  font-size: 1rem;
}

.category-container{
  grid-column-start: 2;
}

.name-image{
  grid-row-start: 2;
}

.product-gallery{
  grid-column-start: 2;
  grid-row-start: 2;
  height: 100%;
  display: flex;
  gap:5px;
  flex-wrap: wrap;
  overflow-y:scroll;
}

.gallery-header{
  font-size:2rem;
  padding-bottom: 20px;
  color: #00558000;
}

.product-gallery img{
  width: 50%;
  height:100px ;
}

.product-gallery p{
  color: #00558000;
}

.product-details span{
  font-size: 3rem;
  float:right;
}

.product-price{
  font-size: 1.5rem;
  color: #000;
}

.product-price::before{
  content: 'R';
}

.add-to-basket-btn{
  width: 50%;
  background: #2b3035;
  color: #fff;
  padding: 10px 15px;
  border: none;
  border-radius: 3px;
  cursor: pointer;
  font-size: 1.3rem;
  transition: all .3s ease-in;
}

.add-to-basket-btn:hover{
  transform: scale(1.05);
  background: #c48793;
  box-shadow: 3px 3px 5px rgba(0, 0, 0, 0.6);
  color: #000;
}

.add-to-basket-btn:active{
  transform: scale(1);
}


.close-popup-btn, .close-basket-btn{
  cursor: pointer;
  float:right;
  border-radius: 50%;
  font-size: 1.5rem;
  background-color: #00000000;
  border: 1px solid #2b3035;
  color:#2b3035;
  padding: 10px;
}

.close-popup-btn:hover, .close-basket-btn:hover{
  transform: scale(1.4);
  color: #c48793;
  border: none;
}
.close-popup-btn:active, .close-basket-btn:active{
  transform: scale(1) ;
}

.basket {
  margin-top: 20px;
}

.basket-items li {
  list-style: none;
}

.missing-products {
  display: none;
  font-weight: bold;
}

.add-to-cart-btn[disabled] {
  background-color: gray;
}

#basket-alert {
  position: fixed;
  top:100px;
  left: 50%;
  transform: translateX(-50%);
  background: #0071a1;
  color: white;
  padding: 15px 20px;
  border-radius: 5px;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.2);
  font-size: 16px;
  text-align: center;
  z-index: 10000;
  opacity: 0;
  transition: opacity 0.3s ease, visibility 0.3s ease;
  visibility: hidden;
}

#basket-alert.show {
  visibility: visible;
  opacity: 1;
}